<style>
input[type="checkbox"].data {
display: none;
margin: 0px;
padding: 0px;
background-color: #ffffff;
}
input[type="checkbox"].data + label {
margin: 0px;
padding: 0px;
border: none;
background-color: #ffffff;
}
input[type="checkbox"].data:checked + label {
margin: 0px;
padding: 0px;
border: none;
color: #3cb371;
background-color: #ffffff;
}
input[type="checkbox"].data:checked + label:hover {
margin: 0px;
padding: 0px;
color: #3cb371;
border: none;
background-color: #ffffff;
}
label.data {
margin: 0px;
padding: 0px;
text-align: center;
cursor: pointer;
color: #dddddd;
background-color: #ffffff;
border: none;
}
</style>
<div class='row align-items-top justify-content-left'>
  <div class='col'>
    <h4 style='font-size: 13pt;'><i class='fa fa-cog'></i> Result of Virtual Inspection</h4>
  </div>
</div>
<div class='row align-items-top justify-content-left'>
  <div class='col-md-6'>
    <h4 style='font-size: 10pt;'>
    {% if component['qctest']['results'] %}
      <i class='fa fa-file'></i> Scan
    {% endif %}
    </h4>
    {% if component['qctest']['results'] %}
        <table class='table table-sm table-bordered' style='font-size: 8pt;'>
          <thead class='table-light'>
            <tr>
              <th scope='col' class='text-left'>Key</th>
              <th scope='col' class='text-left'>Data</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <th scope='raw' class='text-left'>component id</td>
              <td class='text-left'>{{ component['qctest']['results']['component'] }}</td>
            </tr>
            <tr>
              <th scope='raw' class='text-left'>current Stage</td>
              <td class='text-left'>{{ component['qctest']['results']['currentStage'] }}</td>
            </tr>
            <tr>
              <th scope='raw' class='text-left'>test Type</td>
              <td class='text-left'>{{ component['qctest']['results']['testType'] }}</td>
            </tr>
            <tr>
              <th scope='raw' class='text-left'>institute</td>
              <td class='text-left'>{{ component['qctest']['results']['institute'] }}</td>
            </tr>
            <tr>
              <th scope='raw' class='text-left'>user</td>
              <td class='text-left'>{{ component['qctest']['results']['user'] }}</td>
            </tr>
          </tbody>
        </table>
    {% endif %}
  </div>
</div>

<h4 style="font-size: 10pt;"><i class="fa fa-paint-brush"></i> Pictures of Visual Inspection
  {% if not component["qctest"]["results"]["img"] %}
  <font color=#ff0000>### THERE IS NO ANOMALY ###</font>
  {% endif %}
</h4>

{% if component["qctest"]["results"]["img"] %}
  <div class="row align-items-left justify-content-flex-start">
    <div class="col">
      <table class="table table-sm table-bordered" style="font-size: 8pt; table-layout: fixed;">
        <thead class="table-light">
          <tr>
            <th scope='col' class='text-left' style="word-wrap:break-word;" width=100 colspan=1 >Keys</th>
            <th ~~~ scope="col" class="text-left" style="word-wrap:break-word;" width=200*{{component["qctest"]["results"]["anomalyNum"]["image"]}} colspan={{component["qctest"]["results"]["anomalyNum"]["image"]}}> Pictuite with anomaly </th>
          </tr>
          <th scope='col' class='text-left' style="word-wrap:break-word;" width=100 colspan=1 >anomaly</th>
          {% for i in component["qctest"]["results"]["img"] %}
              {% if component["qctest"]["results"]["results"]["anomaly"][i] %}
                  <th scope='col' class='text-left' style="word-wrap:break-word;" width=200 colspan=1 >{{ component["qctest"]["results"]["results"]["anomaly"][i] }}</th>
              {% else %}
                  <th scope='col' class='text-left' style="word-wrap:break-word;" width=200 colspan=1 > comment only </th>
              {% endif %}
          {% endfor %}
        </thead>
        <tbody>
          <tr>
            <th scope='raw' class='text-left'> picture </td>
            {% for i in component["qctest"]["results"]["img"] %}
                <td scope="col" class="text-left" style="word-wrap:break-word;">
                <a href={{ component["qctest"]["results"]["img"][i] }} target="_brank" rel="noopener noreferrer">
                  <img src={{ component["qctest"]["results"]["img"][i] }} title= "Click to expand" width="300px"></img>
                </a>
                </td>
            {% endfor %}
           </tr>
           <tr>
             <th scope='raw' class='text-left'> comment </td>
             {% for i in component["qctest"]["results"]["img"] %}
                 <td scope="col" class="text-left" style="word-wrap:break-word;"> {{component["qctest"]["results"]["results"]["comment"][i]}} </td>
             {% endfor %}
           </tr>
        </tbody>
      </table>
    </div>
  </div>
{% endif %}

<h4 style="font-size: 10pt;">
    <a href="{{ url_for('picture_data_api.picData', id=component['_id'], collection=component['collection'], runId=component['qctest']['results']['runId']) }}"><button type="button" class="btn btn-primary">View Entire Module</button>
    </a>
</h4>
